Bug 18208 - try to update/add packages
Summary: try to update/add packages
Status: RESOLVED INVALID
Alias: None
Product: PackageKit
Classification: Unclassified
Component: backend-yum (show other bugs)
Version: unspecified
Hardware: Other All
: highest blocker
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-24 10:07 UTC by Hesham Elsaghir
Modified: 2009-04-16 04:09 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hesham Elsaghir 2008-10-24 10:07:04 UTC
This is the error I get
# yum update
Loaded plugins: refresh-packagekit
Error: Cannot retrieve repository metadata (repomd.xml) for repository: updates. Please verify its path and try again

from the add/remove software that is what I get:

Error Type: <class 'yum.Errors.RepoError'>
Error Value: Cannot retrieve repository metadata (repomd.xml) for repository: updates. Please verify its path and try again
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2150, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2147, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 605, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 566, in dispatch_command
    self.search_name(options, searchterms)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 344, in search_name
    self._do_search(searchlist, filters, key)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 310, in _do_search
    self._do_meta_package_search(fltlist, key)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 282, in _do_meta_package_search
    self._show_meta_package(grpid, fltlist)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 418, in _show_meta_package
    grp = self.yumbase.comps.return_group(grpid)
  File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 607, in <lambda>
    comps = property(fget=lambda self: self._getGroups(),
  File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 548, in _getGroups
    if not repo.ready():
  File : /usr/lib/python2.5/site-packages/yum/yumRepo.py, line 318, in ready
    return self.repoXML is not None
  File : /usr/lib/python2.5/site-packages/yum/yumRepo.py, line 1241, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File : /usr/lib/python2.5/site-packages/yum/yumRepo.py, line 1237, in _getRepoXML
    raise Errors.RepoError, msg
Comment 1 Hesham Elsaghir 2008-10-24 10:09:04 UTC
I am running Fedora (2.6.27.3-39.fc10.i686)
Comment 2 Richard Hughes 2008-12-12 03:29:12 UTC
Does this happen with PackageKit 0.3.12?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.